{
    num: -32192,
    accuracy: 85,
    basePower: 85,
    category: "Special",
    name: "Maelstrom",
    pp: 10,
    priority: 0,
    flags: { protect: 1, mirror: 1, metronome: 1, wind: 1 },
    secondary: {
      chance: 100,
      onHit(target, source, move) {
        if (this.field.isWeather(["raindance", "primordialsea"])) {
          target.addVolatile("partiallytrapped", source, this.dex.getActiveMove("Whirlpool"));
        }
      }
    },
    target: "normal",
    type: "Water",
    contestType: "Cool"
}